org.springframework.data.web

## Class ReactivePageableHandlerMethodArgumentResolver

- java.lang.Object
- - org.springframework.data.web.PageableHandlerMethodArgumentResolverSupport
  - - org.springframework.data.web.ReactivePageableHandlerMethodArgumentResolver

All Implemented Interfaces:
  HandlerMethodArgumentResolver, SyncHandlerMethodArgumentResolver

    public class ReactivePageableHandlerMethodArgumentResolver
    extends PageableHandlerMethodArgumentResolverSupport
    implements SyncHandlerMethodArgumentResolver

Extracts paging information from web requests and thus allows injecting `Pageable` instances into WebFlux controller methods. Request properties to be parsed can be configured. Default configuration uses request parameters beginning with `PageableHandlerMethodArgumentResolverSupport.DEFAULT_PAGE_PARAMETER` `PageableHandlerMethodArgumentResolverSupport.DEFAULT_QUALIFIER_DELIMITER`.

Since:
  2.2
Author:
  Mark Paluch

### Constructor Summary

Constructors
Constructor and Description
`ReactivePageableHandlerMethodArgumentResolver()` Constructs an instance of this resolved with a default `ReactiveSortHandlerMethodArgumentResolver`.
`ReactivePageableHandlerMethodArgumentResolver(ReactiveSortHandlerMethodArgumentResolver sortResolver)` Constructs an instance of this resolver with the specified `SortArgumentResolver`.

### Method Summary

All Methods Instance Methods Concrete Methods
`Pageable` `resolveArgumentValue(MethodParameter parameter, BindingContext bindingContext, ServerWebExchange exchange)`
`boolean` `supportsParameter(MethodParameter parameter)`

### Methods inherited from class org.springframework.data.web.PageableHandlerMethodArgumentResolverSupport

`getMaxPageSize, getPageable, getPageParameterName, getParameterNameToUse, getSizeParameterName, isFallbackPageable, isOneIndexedParameters, setFallbackPageable, setMaxPageSize, setOneIndexedParameters, setPageParameterName, setPrefix, setQualifierDelimiter, setSizeParameterName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.web.reactive.result.method.SyncHandlerMethodArgumentResolver

`resolveArgument`

### Constructor Detail

#### ReactivePageableHandlerMethodArgumentResolver

    public ReactivePageableHandlerMethodArgumentResolver()

Constructs an instance of this resolved with a default `ReactiveSortHandlerMethodArgumentResolver`.

#### ReactivePageableHandlerMethodArgumentResolver

    public ReactivePageableHandlerMethodArgumentResolver(ReactiveSortHandlerMethodArgumentResolver sortResolver)

Constructs an instance of this resolver with the specified `SortArgumentResolver`.

Parameters:
  `sortResolver` - the sort resolver to use.

### Method Detail

#### supportsParameter

    public boolean supportsParameter(MethodParameter parameter)

Specified by:
  `supportsParameter` in interface `HandlerMethodArgumentResolver`

#### resolveArgumentValue

    @Nonnull
    public Pageable resolveArgumentValue(MethodParameter parameter,
                                                  BindingContext bindingContext,
                                                  ServerWebExchange exchange)

Specified by:
  `resolveArgumentValue` in interface `SyncHandlerMethodArgumentResolver`